Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Class ModelEditorFactory

    com.change_vision.jude.api.inf.editor.ModelEditorFactory

    public class ModelEditorFactory

Class to create ModelEditor.

Method Summary
`static BasicModelEditor` | `getBasicModelEditor()` Create BasicModelEditor.
`static CompositeStructureModelEditor` | `getCompositeStructureModelEditor()` Create CompositeStructureModelEditor.
`static ERModelEditor` | `getERModelEditor()` Create ERModelEditor.
`static MindmapDiagramEditor` | `getMindmapDiagramEditor()` Deprecated. Create MindmapDiagramEditor.
`static UseCaseModelEditor` | `getUseCaseModelEditor()` Create UseCaseModelEditor.

Method Detail

### getBasicModelEditor

    public static BasicModelEditor getBasicModelEditor()

  Create BasicModelEditor.

  Returns:
    BasicModelEditor
  Throws:
    `ClassNotFoundException` - Invalid Class Path
    `InvalidEditingException` - community version cannot use editing API
  See Also:
    `ProjectAccessorFactory#getProjectAccessor()`, `ProjectAccessor#getTransactionManager()`, `ITransactionManager#isInTransaction()`

### getERModelEditor

    public static ERModelEditor getERModelEditor()

  Create ERModelEditor.

  Returns:
    ERModelEditor
  Throws:
    `ClassNotFoundException` - Invalid Class Path
    `InvalidEditingException` - community version cannot use editing API
  See Also:
    `ProjectAccessorFactory#getProjectAccessor()`, `ProjectAccessor#getTransactionManager()`, `ITransactionManager#isInTransaction()`

### getUseCaseModelEditor

    public static UseCaseModelEditor getUseCaseModelEditor()

  Create UseCaseModelEditor.

  Returns:
    UseCaseModelEditor
  Throws:
    `ClassNotFoundException` - Invalid Class Path
    `InvalidEditingException` - community version cannot use editing API
  See Also:
    `ProjectAccessorFactory#getProjectAccessor()`, `ProjectAccessor#getTransactionManager()`, `ITransactionManager#isInTransaction()`

### getMindmapDiagramEditor

    public static MindmapDiagramEditor getMindmapDiagramEditor()

  Deprecated. Create MindmapDiagramEditor.

  Returns:
    MindmapDiagramEditor
  Throws:
    `ClassNotFoundException` - Invalid Class Path
    `InvalidEditingException` - community version cannot use editing API
  See Also:
    `ProjectAccessorFactory#getProjectAccessor()`, `ProjectAccessor#getTransactionManager()`, `ITransactionManager#isInTransaction()`

### getCompositeStructureModelEditor

    public static CompositeStructureModelEditor getCompositeStructureModelEditor()

  Create CompositeStructureModelEditor.

  Returns:
    CompositeStructureModelEditor
  Throws:
    `ClassNotFoundException` - Invalid Class Path
    `InvalidEditingException` - community version cannot use editing API
  See Also:
    `ProjectAccessorFactory#getProjectAccessor()`, `ProjectAccessor#getModelEditorFactory()`, `IModelEditorFactory#getCompositeStructureModelEditor()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD